Package com.arms.api.requirement.reqadd_state_pure.service

## Class ReqAddStatePureImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.requirement.reqadd_state_pure.service.ReqAddStatePureImpl

- All Implemented Interfaces:
    `ReqAddStatePure`, `TreeService`

      @Service("reqAddStatePure")
      public class ReqAddStatePureImpl
      extends TreeServiceImpl
      implements ReqAddStatePure

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddStatePureImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProgressResultVO` | `calculateProgress​(ReqAddStatePureEntity reqAddStatePureEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<ReportReqAddVO>` | `reportReqStatus​(ReportReqAddEntity reportReqAddEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<ReqAddStatePureEntity>` | `reqProgress​(ReqAddStatePureEntity reqAddStatePureEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |
    `java.util.List<WeeklyReportReqAddVO>` | `weeklyReportReqStatus​(ReqAddStatePureEntity reqAddStatePureEntity, java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.lang.String c_req_pdservice_versionset_link)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Field Detail

    - #### chat

          @Autowired
          protected Chat chat

  - ### Constructor Detail

    - #### ReqAddStatePureImpl

          public ReqAddStatePureImpl()

  - ### Method Detail

    - #### reqProgress

          public java.util.List<ReqAddStatePureEntity> reqProgress​(ReqAddStatePureEntity reqAddStatePureEntity,
                                                                   java.lang.String changeReqTableName,
                                                                   java.lang.Long pdServiceId,
                                                                   java.lang.String c_req_pdservice_versionset_link)
                                                            throws java.lang.Exception

      Specified by:
        `reqProgress` in interface `ReqAddStatePure`
      Throws:
        `java.lang.Exception`

    - #### calculateProgress

          public ProgressResultVO calculateProgress​(ReqAddStatePureEntity reqAddStatePureEntity,
                                                    java.lang.String changeReqTableName,
                                                    java.lang.Long pdServiceId,
                                                    java.lang.String c_req_pdservice_versionset_link)
                                             throws java.lang.Exception

      Specified by:
        `calculateProgress` in interface `ReqAddStatePure`
      Throws:
        `java.lang.Exception`

    - #### reportReqStatus

          public java.util.List<ReportReqAddVO> reportReqStatus​(ReportReqAddEntity reportReqAddEntity,
                                                                java.lang.String changeReqTableName,
                                                                java.lang.Long pdServiceId,
                                                                java.lang.String c_req_pdservice_versionset_link)
                                                         throws java.lang.Exception

      Specified by:
        `reportReqStatus` in interface `ReqAddStatePure`
      Throws:
        `java.lang.Exception`

    - #### weeklyReportReqStatus

          public java.util.List<WeeklyReportReqAddVO> weeklyReportReqStatus​(ReqAddStatePureEntity reqAddStatePureEntity,
                                                                            java.lang.String changeReqTableName,
                                                                            java.lang.Long pdServiceId,
                                                                            java.lang.String c_req_pdservice_versionset_link)
                                                                     throws java.lang.Exception

      Specified by:
        `weeklyReportReqStatus` in interface `ReqAddStatePure`
      Throws:
        `java.lang.Exception`